> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-2-0.md).

# Version 6.2.0 Changelog (March 10, 2014)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

### Notes

This release adds four new custom controls to the open-source tools library: an annotation toolbar, outline (bookmark) list, annotation list and thumbnail page navigation slider. These modular controls are showcased in a new sample app, CompleteReader, which is a full featured PDF reader app.

### NEW

* A set of new controls has been added to the tools library (in the pdftron.PDF.Controls package). The source code for these controls are public and can be customized as required. The controls include:
* An AnnotationDialogFragment showing all annotations in a click-able list.
* An AnnotationToolbar for working with the various annotation creation tools.
* An OutlineDialogFragment showing the outlines (bookmarks view) for document navigation.
* A ThumbnailSlider that displays a page's thumbnail above the slider.
* A new sample app "Complete Reader" that showcases a full featured PDF reader, incorporating all of the controls above.
* A signature tool is now included that can add a signature anywhere to a page. Signatures can also be saved for future use.
* A new RecentlyUsedCache class is added. It works with the PDFViewCtrl to keep a thumbnail of page 1 of any opened document up to date.
* A new Print utility class that can be used to start print jobs (only available for Android 4.4 or higher).
* The samples now include gradle build scripts so it is easy to open and run the projects in Android Studio. The Tools library is kept in the samples folder to make it easier to run the samples and do quick experiments.
* The way a tool from the tools library is connected to a PDFViewCtrl has been changed. The PDFViewCtrl.Tool interface was removed and its events were added to the PDFViewCtrl.ToolManager interface. This change gives users more control over the events triggered by PDFViewCtrl. Check the ToolManager implementation for more details.

### New APIs:

* pdftron.Common.RecentlyUsedCache
* PDFViewCtrl.openURL() now supports HTTPS
* PDFViewCtrl.getThumbAsync()
* PDFViewCtrl.cancelAllThumbRequests()
* PDFViewCtrl.ThumbAsyncListener
* pdftron.PDF.Print

**Requires the Full library version**

### Changed APIs:

* PDFNet.setPersistentTempPath() replaced by PDFNet.setPersistentCachePath()
* PDFNet.setTempPath()
* PDFViewCtrl.setupThumbnails()
* PDFViewCtrl.setDoc() now throws PDFNetException
* PDFViewCtrl.Tool interface was removed
* PDFViewCtrl.ToolManager

### BUG FIXES

* Miscellaneous bug fixes and improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-2-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
